<div class="card border-primary">
    <div class="card-body">
        <h5 class="card-title" style="color: tomato;">Sales Order Return</h5>

        <div class="btn-group" role="group" *ngIf="salesOrderReturn">
            <button type="button" class="btn btn-outline-info btn-sm" (click)="addNew()">Add New
                <i class="fa fa-plus-circle fa-lg"></i>
            </button>
            <button type="button" *ngIf="salesOrderReturn.status === 0 || salesOrderReturn.status === 10" class="btn btn-outline-success btn-sm" (click)="saveHdr('addnew', null)">Save
                <i class="fa fa-save fa-lg"></i>
            </button>
            <button type="button"  *ngIf="salesOrderReturn.status === 10" class="btn btn-outline-primary btn-sm" (click)="approve()">Submint
                <i class="fa fa-thumbs-o-up fa-lg"></i>
            </button>
            <button type="button" *ngIf="salesOrderReturn.status === 10"  class="btn btn-outline-danger btn-sm" (click)="reject()">Cancel
                <i class="fa fa-times fa-lg"></i>
            </button>
            <button type="button" *ngIf="salesOrderReturn.status === 20 " class="btn btn-outline-warning btn-sm" (click)="preview('return-so')">Preview
                <i class="fa fa-print fa-lg"></i>
            </button>
            <!-- <button type="button" *ngIf="salesOrderReturn.status === 20 " class="btn btn-outline-danger btn-sm" (click)="createInvoice()">Create Invoice
                <i class="fa fa-thumbs-o-up fa-lg"></i>
            </button> -->
            <!-- <button type="button" *ngIf="salesOrderReturn.status === 40 " class="btn btn-outline-warning btn-sm" (click)="preview('invoice')">Print Invoice
                <i class="fa fa-print fa-lg"></i>
            </button> -->
            <button type="button" class="btn btn-outline-info btn-sm" (click)="backToLIst()">Back
                <i class="fa fa-list fa-lg"></i>
            </button>
        </div>
        <br>
        <br>
        <div *ngIf="salesOrderReturn">
            <table class="table table-sm table-striped">
                <thead>
                    <td style="width: 15%;"> </td>
                    <td style="width: 35%;"> </td>
                    <td style="width: 15%;"> </td>
                    <td style="width: 35%;"> </td>
                </thead>
                <tbody style="color: cornflowerblue;">
                    <tr>
                        <td>Return Order No</td>
                        <td><input type="text" readonly size="50%" [(ngModel)]="salesOrderReturn.returnNo">
                            [{{salesOrderReturn.id}}]
                        </td>
                        <!-- < -->
                        <td>Total</td>
                        <td>
                            <span style="color: blue;">
                                    {{ total | number:'0.0-0'}}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td>Date</td>
                        <td>
                            <input type="text" ngbDatepicker #d="ngbDatepicker" readonly [(ngModel)]="selectedDate" />
                            <button (click)="d.toggle()">
                                <i class="fa fa-calendar"></i>
                            </button>
                        </td>
                        <td>Tax <input type="checkbox" [(ngModel)]="isTax" (ngModelChange)="checkTax()"></td>
                        <td>
                            <!-- <input type="text" readonly size="50%" [(ngModel)]="taxAmount"> -->
                            <span style="color: blue;">
                                    {{ taxAmount | number:'0.0-0'}}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td>Customer</td>
                        <td *ngIf="customers">
                            <input id="typeahead-basic"  [attr.disabled]="isCash ? 'true' : null" type="text" [(ngModel)]="customerSelected"  
                                [ngbTypeahead]="searchCustomer" [resultFormatter]="formatter"
                                [inputFormatter]="formatter" />
                                [ {{customerSelected.id}} ] 
                        </td>
                        <td>Grand total</td>
                        <td>
                            <!-- <input type="text" readonly size="50%" [(ngModel)]="grandTotal"> -->
                            <span style="color: blue;">
                                    {{ grandTotal | number:'0.0-0'}}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td>Status</td>
                        <td><input type="text" readonly size="50%" [(ngModel)]="salesOrderReturn.status"> </td>
                        <td>Note</td>
                        <td rowspan="2"><textarea rows="3" size="100%" style="min-width: 90%"></textarea>
                    </tr>
                    <tr *ngIf="false">
                        <td>Salesman</td>
                        <td>
                            <span *ngIf="salesmans">
                                <select id="select-type-basic" [(ngModel)]="salesmanSelected" style="width: 80%;">
                                    <option *ngFor="let salesman of salesmans" [value]="salesman.id"  class="form-control">
                                    {{salesman.name}}
                                    </option>
                                </select>
                                [ {{salesmanSelected}} ] 
                            </span>
                        </td>
                        <td></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>Warehouse [ {{warehouseSelected}} ]</td>
                        <td >
                            <span *ngIf="warehouses" >
                                <select id="select-type-basic" [(ngModel)]="warehouseSelected" style="width: 80%;"  class="form-control"  >
                                    <option *ngFor="let warehouse of warehouses" [value]="warehouse.id" >
                                    {{warehouse.name}}
                                    </option>
                                </select>
                            </span>
                        </td>
                        <td></td>
                        <td></td>
                    </tr>

                </tbody>
            </table>
        </div>
        <hr>
        <div>
            <table class="table table-sm table-striped">
                <thead>
                    <tr>
                        <td style="width: 20%;">Product</td>
                        <td style="width: 15%;">Price</td>
                        <td style="width:  5%;">Qty</td>
                        <td style="width:  5%;">Unit</td>
                        <td style="width: 15%;">Disc 1 [%]</td>
                        <td style="width: 15%;">Disc 2 [%]</td>
                        <td style="width: 20%;">Total</td>
                        <td style="width: 10%;">#</td>
                    </tr>

                </thead>
                <tbody style="color: hotpink; background-color: ghostwhite;">
                    <tr>
                        <td>
                            <input id="typeahead-http" type="text" [(ngModel)]="model" 
                                [ngbTypeahead]="search"
                                [resultFormatter]="formatterProdList" 
                                [inputFormatter]="formatterProdInput" 
                                placeholder="search product name" 
                                (selectItem)="getItem($event)"
                                size="50%"
                                /> 
                        </td>
                        <td>
                            <input type="number" [(ngModel)]="priceAdded"  >
                        </td>
                       
                        <td>
                            <input type="number" [(ngModel)]="qtyAdded" placeholder="input qty" >
                        </td>
                        <td>
                            {{uomAddedName}}
                        </td>
                        <td>
                            <input type="number" [(ngModel)]="discAdded " placeholder="input disc" >
                        </td>
                        <td>
                            <input type="number" [(ngModel)]="disc2Added " placeholder="input disc" >
                        </td>
                        <td>
                            {{  ( (priceAdded*qtyAdded) - discAdded  ) | number:'0.0-0' }}
                        </td>
                        <td *ngIf ="salesOrderReturn">
                            <button type="button"  *ngIf="salesOrderReturn.status === 10"  class="btn btn-outline-info btn-sm" (click)="addNewItem()">
                                <i class="fa fa-check fa-lg"></i>
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div *ngIf="salesOrderReturn">
            <div style="height:350px; padding: 5px 15px 5px 15px; ">
                <table class="table table-sm table-hover table-striped">
                    <thead>
                        <tr>
                            <th *ngIf ="salesOrderReturn" style="width: 5%;"></th>
                            <th scope="col" style="width: 20%;">Product</th>
                            <th scope="col" style="width: 10%;">Price</th>
                            <th scope="col" style="width: 10%;">Qty</th>
                            <th scope="col" style="width: 10%;">Unit</th>
                            <th scope="col" style="width: 10%;">Disc 1[%]</th>
                            <th scope="col" style="width: 10%;">Disc 2[%]</th>
                            <th scope="col" style="width: 10%;">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let salesOrderReturnDetail of salesOrderReturnDetails">
                            <td *ngIf ="salesOrderReturn">
                                <button type="button" *ngIf="salesOrderReturn.status === 10"  (click)="confirmDelItem(salesOrderReturnDetail)" class="btn btn-outline-danger btn-sm">
                                    <i class="fa fa-trash fa-lg"></i>
                                </button>
                                <button type="button" *ngIf="salesOrderReturn.status === 20"  (click)="confirmUpdateItem(salesOrderReturnDetail)" class="btn btn-outline-danger btn-sm">
                                    <i class="fa fa-check fa-lg"></i>
                                </button>
                            </td>
                            <td>{{salesOrderReturnDetail.product.name}}</td>
                            <td>{{salesOrderReturnDetail.price | number:'0.0-0' }}</td>
                            <td>{{salesOrderReturnDetail.qty | number:'0.0-0' }}</td>
                            <td>{{salesOrderReturnDetail.uom.name}}</td>
                            <td>{{salesOrderReturnDetail.disc1  }}</td>
                            <td>{{salesOrderReturnDetail.disc2  }}</td>
                            <td>{{ getTotal(salesOrderReturnDetail) | number:'0.0-0' }}  </td>
                            <!-- <td>{{ (salesOrderReturnDetail.price * salesOrderReturnDetail.qtyOrder ) - salesOrderReturnDetail.disc1 | number:'0.0-0'  }}</td> -->
                        </tr>
                    </tbody>
                </table>
            </div>
            <ngb-pagination size="sm" [collectionSize]="totalData" [(page)]="curPage" [maxSize]="totalRecord"
                (pageChange)="loadPage()" [boundaryLinks]="true">
            </ngb-pagination>
        </div>
    </div>

</div>